# Class UnknownBaseContractIdError

#### Hierarchy

- Error
  - UnknownBaseContractIdError

- Defined in codec/lib/storage/allocate/index.ts:35

#####
Index

### Constructors

constructor

### Properties

baseId
derivedId
derivedKind
derivedName

## Constructors

### constructor

- new UnknownBaseContractIdError(derivedId, derivedName, derivedKind, baseId): UnknownBaseContractIdError

- #### Parameters

  - ##### derivedId: number

  - ##### derivedName: string

  - ##### derivedKind: string

  - ##### baseId: number

  #### Returns UnknownBaseContractIdError

  Overrides Error.constructor

  - Defined in codec/lib/storage/allocate/index.ts:40

## Properties

### baseId

baseId: number

- Defined in codec/lib/storage/allocate/index.ts:39

### derivedId

derivedId: number

- Defined in codec/lib/storage/allocate/index.ts:36

### derivedKind

derivedKind: string

- Defined in codec/lib/storage/allocate/index.ts:38

### derivedName

derivedName: string

- Defined in codec/lib/storage/allocate/index.ts:37

Generated using TypeDoc